Bug 115384 - redhat-artwork requires /usr/lib/qt3
redhat-artwork requires /usr/lib/qt3
Product: Red Hat Linux
Classification: Retired
Component: redhat-artwork (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Alexander Larsson
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-02-11 14:45 EST by Laurie Reeves
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-16 12:05:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Laurie Reeves 2004-02-11 14:45:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040124 Galeon/1.3.12

Description of problem:
When trying to remove QT from a RH9 system redhat-artwork complains
that it requires /usr/lib/qt3 thus preventing it's removal. In the
redhat-artwork spec file it is stated that "we don't want to require

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. After satisfying all other dependency issues
2. Try to remove qt
3. Watch it not work

Actual Results:  redhat-artwork complains that it requires the
/usr/lib/qt-3.1 directory which is owned by qt-3.1.1-6 (at least in RH9)

Expected Results:  Qt should be outta there!

Additional info:

Removing the rpm with "--nodeps" works fine. Creating a special rpm
that "owns" the /usr/lib/qt-3.1 directory works (although that's
stupid). Removing the "PreReq: %{_libdir}/%{qtdir}" line and adding
"%dir %{_libdir}/%{qtdir}" to the %files section of the spec file
would work.
Comment 1 Ngo Than 2004-02-16 12:05:05 EST
it's fixed in 0.91

Note You need to log in before you can comment on or make changes to this bug.